grk::marker_handler Struct Reference

`#include <CodeStreamDecompress.h>`

## Public Member Functions

| marker_handler (uint16_t ID, uint32_t flags, MARKER_FUNC f)

## Public Attributes

uint16_t | id
| marker value
uint32_t | states
| value of the state when the marker can appear
MARKER_FUNC | func

## Constructor & Destructor Documentation

## marker_handler()

grk::marker_handler::marker_handler | ( | uint16_t | ID,
|  | uint32_t | flags,
|  | MARKER_FUNC | f
| ) |  |

inline

## Member Data Documentation

## func

MARKER_FUNC grk::marker_handler::func

Referenced by grk::CodeStreamDecompress::process_marker().

## id

uint16_t grk::marker_handler::id

marker value

Referenced by grk::CodeStreamDecompress::readHeaderProcedureImpl().

## states

uint32_t grk::marker_handler::states

value of the state when the marker can appear

Referenced by grk::CodeStreamDecompress::readCurrentMarkerBody(), and grk::CodeStreamDecompress::readHeaderProcedureImpl().

The documentation for this struct was generated from the following file:

- CodeStreamDecompress.h